import { useUiAdapter } from '../adapter/useUiAdapter';
const __VLS_props = withDefaults(defineProps(), {
    severity: 'primary', type: 'button', disabled: false, loading: false
});
const emit = defineEmits();
const adapter = useUiAdapter();
const __VLS_defaults = {
    severity: 'primary', type: 'button', disabled: false, loading: false
};
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
const __VLS_0 = (__VLS_ctx.adapter.components.Button);
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onActivate': {} },
    ...(__VLS_ctx.$props),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onActivate': {} },
    ...(__VLS_ctx.$props),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.activate} */
    onActivate: (...[$event]) => {
        return (__VLS_ctx.emit('click', $event));
        // @ts-ignore
        [adapter, $props, emit,];
    },
};
var __VLS_7;
const { default: __VLS_8 } = __VLS_3.slots;
var __VLS_9 = {};
// @ts-ignore
[];
var __VLS_3;
var __VLS_4;
// @ts-ignore
var __VLS_10 = __VLS_9;
// @ts-ignore
[];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
